\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,,x=1cm,y=1cm, mydashed/.style={dashed,dash phase=1pt}]
\clip(-4.5,0.75) rectangle (1,3.5);
\draw[line width=1pt] (-0.3386428008922104,2.5238926040149465) -- (-0.06253540490715703,2.585249803122736) -- (-0.12389260401494667,2.8613571991077893) -- (-0.4,2.8) -- cycle; 
\draw [line width=1pt] (0,1)-- (0.5,3);
\draw [line width=1pt] (0.5,3)-- (-4,2);
\draw [line width=1pt] (-4,2)-- (0,1);
\draw [line width=1pt,mydashed] (0,1)-- (-0.4,2.8);
\draw [line width=1pt] (-2.6682352941176473,1.6670588235294117)-- (-2.501764705882353,2.332941176470588);
\draw [<->,line width=1pt] (-3.9866666666666686,2.36) -- (0.4133333333333318,3.3733333333333335);
\begin{scriptsize}
\draw (-2.35,2) node[anchor=center, rotate=80] {$1,2cm$};
\draw (-0.37,1.9) node[anchor=center, rotate=100] {$2,7cm$};
\draw (0.5,2) node[anchor=center,rotate=80] {$3,6cm$};
\end{scriptsize}
\draw (-1.73,3.1) node[anchor=center, rotate=10] {$7cm$};
\draw[color=black] (-4.28,2.02) node {$A$};
\draw[color=black] (0.19,0.91) node {$B$};
\draw[color=black] (0.61,3.29) node {$C$};
\begin{scriptsize}
\draw[color=black] (-0.45,3) node {$H$};
\draw[color=black] (-2.79,1.5) node {$M$};
\draw[color=black] (-2.4,2.55) node {$N$};
\end{scriptsize}
\end{tikzpicture}
\end{document}